WordPress:WP Lightbox 2でエラーUncaught TypeError: $(…).live is not a function

記事公開日:
最終更新日:

This post is also available in: 英語

Wordpressを5.5にアップグレードすると、以下のようなエラーに遭遇したので、メモを備忘録的に残しています。

Uncaught TypeError: $(...).live is not a function

Chrome開発者ツールのConsoleで確認したら、WP Lightbox 2 関連のファイルがエラーを吐いていたので、調べたところ、WordPress 5.5 からは旧バージョンの jQuery migrate は無効になったことが原因ぽいです。

記事を書いている時点での対処方法としては、以下のような感じかと思います。

対処方法その1.別のLightbox系プラグインを探す

旧バージョンの jQuery migrate をなんとかして使い続けるという選択肢は無かったので、WP Lightbox 2 に近い感じで、画像をポップアップするプラグインを探しました。

Simple Lightbox
https://ja.wordpress.org/plugins/simple-lightbox/
シンプルながら最低限の機能が備わっているプラグインです。過去記事のコード編集の必要はありませんでした。

Responsive Lightbox & Gallery
https://ja.wordpress.org/plugins/responsive-lightbox/
機能が豊富で、アニメーションの種類が選べます。過去記事のコード編集の必要はありませんでした。

対処方法その2.プラグインで対処する

一時的に jQuery migrate の問題を対処するためのプラグインが開発されています。個人的には利用しなかったので、まともに動くかは分かりませんが、"The WordPress Team"という公式チームが開発してるっぽいです。

Enable jQuery Migrate Helper
https://wordpress.org/plugins/enable-jquery-migrate-helper/

対処方法その3.WP Lightbox 2 のコードを修正する

どうしても WP Lightbox 2 を使い続けたい...という場合には、コードを修正することで動くようになるみたいです。個人的には試していません。
https://wordpress.org/support/topic/bug-in-wordpress-5-5/

About
Amelt.net,LLCの創業者で、費用対効果の高い統合webマーケティングによりビジネスパートナーとして継続的にサポート。詳しいより。ブログの更新情報TwitterLinkedIn、またRSSfeedlyにてお知らせしていますのでフォローよろしくお願い致します。